Bug 30241 - (SCSI SEAGATE)current seagate driver doesn't work with the Dell Latitude APR-scsi
(SCSI SEAGATE)current seagate driver doesn't work with the Dell Latitude APR-...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-01 20:36 EST by Gregg Lebovitz
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The seagate.c driver with the added signature string for the Dell Latitude APR (53.73 KB, text/plain)
2001-03-01 20:39 EST, Gregg Lebovitz
no flags Details

  None (edit)
Description Gregg Lebovitz 2001-03-01 20:36:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i586)


The seagate driver is compatible with the TMC-950 scsi controller in the
Dell Latitude Advanced Port Replicator , but is missing the correct device
signature string.

Reproducible: Always
Steps to Reproduce:
1.load linux on a Dell Latitude laptop
2.attach the APR with a TMC-950 scsi control
3.type modprobe seagate
	

Actual Results:  seagate control does not find the TMC-950 controller

Expected Results:  the obvious result

I have seen this complaint appear on various message boards. Since the fix
is so easy, I thought I would supply it to you.
Comment 1 Gregg Lebovitz 2001-03-01 20:39:25 EST
Created attachment 11500 [details]
The seagate.c driver with the added signature string for the Dell Latitude APR
Comment 2 Alan Cox 2003-06-05 19:54:13 EDT
Doh how did that get missed all this time.
Fixed in -ac , will push to base kernel
Comment 3 Bugzilla owner 2004-09-30 11:38:55 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.